/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see <http://www.gnu.org/licenses/>.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
@import '~@angular/material/theming';
@import "app/canton-theme/default";
@import "app/canton-theme/ge";
@import "app/canton-theme/be";
@import "app/canton-theme/sg";
@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';

@include mat-core();

$chvote-blue: (
  50 : #e7eff2,
  100 : #c3d7de,
  200 : #9bbdc8,
  300 : #73a2b1,
  400 : #558ea1,
  500 : #377a90,
  600 : #317288,
  700 : #2a677d,
  800 : #235d73,
  900 : #164a61,
  A100 : #9bdeff,
  A200 : #68cdff,
  A400 : #35bdff,
  A700 : #1bb4ff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

$chvote-red: (
  50 : #f9eae0,
  100 : #f0c9b3,
  200 : #e6a680,
  300 : #db824d,
  400 : #d46726,
  500 : #cc4c00,
  600 : #c74500,
  700 : #c03c00,
  800 : #b93300,
  900 : #ad2400,
  A100 : #ffdcd7,
  A200 : #ffb0a4,
  A400 : #ff8471,
  A700 : #ff6e58,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #000000,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

$primary: mat-palette($chvote-blue);
$accent: mat-palette($chvote-red);
$theme: mat-light-theme($primary, $accent);
@include angular-material-theme($theme);

// canton theme override
.ge {
  @include ge-theme();
}

.be {
  @include be-theme();
}

.sg {
  @include sg-theme();
}

// main look & feel
body {
  @include default-theme();
  font-family: "Roboto", "Helvetica Neue", Arial, Helvetica, Geneva, sans-serif;
  font-size: 0.75em;
  line-height: 1.5em;
  color: #666666;
  background: #ffffff;
  margin: 0;
}

html, body, app-root {
  height: 100%;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-right: auto;
  margin-left: auto;
  margin-bottom: 20px;
  padding-left: 15px;
  padding-right: 15px;
}

@media screen and (min-width: 768px) {
  .container {
    width: 738px;
    flex-direction: row;
  }
}

@media screen and (min-width: 970px) {
  .container {
    width: 940px;
    flex-direction: row;
  }
}

@media screen and (min-width: 1170px) {
  .container {
    width: 1140px;
    flex-direction: row;
  }
}

h1 {
  font-weight: bold;
  text-decoration: none;
  margin-top: 0;
  margin-right: 40px;
  padding-bottom: 10px;
  display: inline-block;
  font-size: 1.65em;
}

h2 {
  color: #377a90;
  margin: 20px 0;
  font-size: 1.65em;
  font-weight: normal;
  text-transform: uppercase;
}

h3 {
  color: #377a90;
  font-size: 1.3em;
  margin-top: 0;
  margin-bottom: 20px;
}

h4 {
  display: inline;
  color: #666666;
  font-size: 1.2em;
  font-weight: bold;
  margin-left: 10px;
  text-transform: uppercase;
}

a {
  color: #377a90;
  text-decoration: none;
}

a abbr {
  padding-bottom: -2px;
  border-bottom: 1px solid transparent;
}

a:hover abbr {
  color: #565656;
  padding-bottom: -2px;
  border-bottom: 1px solid #565656;
}

.link-with-icon {
  margin-left: 5px;
}

.description ol {
  counter-reset: list;
  display: table;
  border-spacing: 5px;
  list-style-type: decimal;
  margin: 5px 0 5px 6px;
  padding: 0;
}

.description ol[start="3"] {
  counter-reset: list 2;
}

.description ol > li {
  list-style: none;
  display: table-row;
}

.description ol > li:before {
  content: counter(list) ") ";
  counter-increment: list;
  display: table-cell;
}

section {
  margin-bottom: 20px;
}

section[role='main'] {
  display: flex;
  flex-direction: column;
}

.side-content ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.side-content em {
  display: block;
  padding-top: 5px;
  padding-bottom: 8px;
  font-style: normal;
}

// action buttons
.mat-raised-button {
  color: #ffffff;
  font-weight: bold;
  text-transform: uppercase;
  min-width: 100px;
  font-size: 0.95em;
}

.mat-raised-button.primary {
  background-color: #12698c;
}

.mat-raised-button.secondary {
  background-color: #f1fafd;
  color: #377a90;
  border: 1px solid #377a90;
}

.mat-raised-button.abort {
  background-color: #cc4c00;
}

.mat-raised-button[disabled][disabled] {
  background-color: #cccccc;
  color: #ffffff;
}

.mat-raised-button.secondary[disabled][disabled] {
  background-color: white;
  color: #cccccc;
  border: 1px solid #cccccc;
}

// input fields
input:not([type='checkbox']) {
  text-align: center !important;
  font-size: 1.3em !important;
  font-weight: bold !important;
  color: #666 !important;
  border: 1px solid #cccccc !important;
  background-color: #ffffff !important;
  height: 2.7em !important;
  border-radius: 0 !important;
  -webkit-appearance: none !important;
  padding: 1px !important;
}

.mat-form-field-label {
  top: 1.9em !important;
  text-align: center;
  font-size: 1.3em !important;
  font-style: italic !important;
}

input :focus.ng-valid, :focus.ng-untouched {
  outline: -webkit-focus-ring-color auto 5px !important;
}

.mat-form-field-invalid input {
  border: 2px solid #f44336 !important;
  padding: 0 !important;
}

.mat-form-field-underline {
  display: none !important;
}

.mat-form-field-should-float .mat-form-field-label {
  text-align: left;
  font-size: 20px !important;
  font-style: italic !important;
  color: #666666 !important;
}

nav {
  display: flex !important;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  margin: 20px 0;
}

nav .button-group {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
}

nav .button-with-hint {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.next-step-hint {
  margin-top: 6px;
}

.form-note {
  padding: 10px;
  border: 1px solid #cccccc;
  background-color: #f3f7f9;
}

.accessibility-text {
  display: inline;
  position: absolute;
  top: -1000px;
  left: -1000px;
  height: 0;
  width: 0;
  overflow: hidden;
}

mat-error {
  display: flex !important;
  align-items: center;
}

mat-error > * {
  margin-left: 5px;
  font-size: 1.5em;
  font-weight: bold;
  color: #f44336;
}

.legal-information-list ul {
  list-style-image: url('assets/img/chip.gif');
  margin: 5px 0 5px 1px;
  padding: 0 0 0 12px;
}

.legal-information-list ul li {
  padding-bottom: 3px;
}

.fa-missing {
  color: #f44336;
}

// IE10
header, section, footer, aside, nav, main, article, figure {
  display: block;
}
